Bug 59488 - kdesktop: icons disabled breaks mousewheel desktop switching
Summary: kdesktop: icons disabled breaks mousewheel desktop switching
Status: CLOSED FIXED
Alias: None
Product: kdesktop
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-07 22:41 UTC by Chris Lee
Modified: 2009-01-02 20:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Lee 2003-06-07 22:41:16 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc 3.3 
OS:          Linux

If you turn on mousewheel desktop switching (as Bug 40982 requested, and Stephan Binner implemented) via WheelSwitchesWorkspaces=true in $KDEHOME/share/config/kdesktoprc, desktop switching works by scrolling the mousewheel.

But if you disable desktop icons, the desktop switching breaks.

Mousewheel desktop switching shouldn't depend on desktop icons being visible/enabled.
Comment 1 Simon Perreault 2003-09-19 02:08:40 UTC
Works in HEAD. 
Comment 2 Chris Lee 2003-09-19 23:26:24 UTC
No, it does not work. Clean rebuild of kdelibs and kdebase here, disable desktop 
icons, enable mousewheel switching, and it does not switch desktops when I hit the 
mousewheel. 
 
Desktop switching in general doesn't break - I should have worded the bug report 
better in the first place - but switching-by-mousewheel does not work if you disable 
the icons. 
Comment 3 Teemu Rytilahti 2003-09-26 23:09:47 UTC
Yep, it doesn't work here with 20030916, maybe it does with the the newer ones? If not, 
I hope this will get fixed soon... 
Comment 4 Stephan Binner 2003-10-29 12:13:01 UTC
*** Bug has been marked as fixed ***.
Comment 5 FiNeX 2009-01-02 20:22:12 UTC
Bug closed. Kdesktop is no more mantained.